#include "gis.h"
#include "site.h"
int main (argc, argv)
  char **argv;
  int argc;
{
  char *mapset, errmsg[256];
  int code;
  Site *mysite;
  FILE *fp;
  struct
  {
    struct Option *input;
  } parm;

  G_gisinit (argv[0]);

  parm.input = G_define_option ();
  parm.input->key = "input";
  parm.input->type = TYPE_STRING;
  parm.input->required = YES;
  parm.input->description = "sites list containing data points";
  parm.input->gisprompt = "old,site_lists,sites,input";

  if (G_parser (argc, argv))
    exit (-1);

  mapset = G_find_file ("site_lists", parm.input->answer, "");

  fp = G_fopen_sites_old (parm.input->answer, mapset);
  if (fp == NULL)
  {
    sprintf (errmsg, "can't open sites file [%s]", parm.input->answer);
    G_fatal_error (errmsg);
  }

  mysite = G_new_site_struct (2, 2, 1);

  while ((code = G_new_get_site (fp, mysite)) == 0)
  {
/*
    row = (int) G_northing_to_row (mysite->north, window);
    col = (int) G_easting_to_col (mysite->east, window);
    G_put_map_row_random (fd, &(s->cat), row, col, 1);
*/

    G_new_put_site(stdout,mysite,1);
  }
  fprintf(stderr,"DIAG: return code was %d\n",code);
}
