#include <time.h>
#include "gis.h"
#include "site.h"
int main (argc, argv)
  char **argv;
  int argc;
{
  char *mapset, errmsg[256], timestring[32];
  int zone;
  extern time_t timezone;
  struct tm timestruct;
  Site *mysite;
  FILE *fp;
  struct
  {
    struct Option *input;
  } parm;

  G_gisinit (argv[0]);

  parm.input = G_define_option ();
  parm.input->key = "input";
  parm.input->type = TYPE_STRING;
  parm.input->required = YES;
  parm.input->description = "sites list containing data points";
  parm.input->gisprompt = "old,site_lists,sites,input";

  if (G_parser (argc, argv))
    exit (-1);

  mapset = G_find_file ("site_lists", parm.input->answer, "");

  fp = G_fopen_sites_old (parm.input->answer, mapset);
  if (fp == NULL)
  {
    sprintf (errmsg, "can't open sites file [%s]", parm.input->answer);
    G_fatal_error (errmsg);
  }

  /*- Example sites: 
   * 10.8|0|9.8|Fri Sep 13 10:00:00 1986 %31.4
   * 11|5.5|9.9|Fri Sep 14 00:20:00 1985 %36.4
   * 5.1|3.9|10|Fri Sep 15 00:00:30 1984 %28.4
   */
  mysite = G_new_site_struct (3, 5, 1);

  zone=(int) timezone;

  while (G_new_get_site (fp, mysite) == 0)
  {
    sprintf(timestring,"%s %s %s %s %s\n", mysite->str_att[0],
            mysite->str_att[1], mysite->str_att[2], mysite->str_att[3],
            mysite->str_att[4]);
    if (partime(timestring,&timestruct,&zone))
      printf("%ld seconds ago the concentration was %g at (%g,%g)\n",
              mktime(&timestruct), mysite->dbl_att[0], 
              mysite->east, mysite->north);

    G_new_put_site(stdout,mysite,0);
  }
}
